{% extends 'base.html' %}

{% block title %}Services{% endblock %}
{% block active_tab %}Services{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>Services</h4>
        {{ md.add_button('Create', 'service_create') }}
    </div>

    <div class="content-base no-pad mb40">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Ports</th>
                <th>Connection</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for service in services %}
                <tr>
                    <td>
                        <span>{{ service.metadata.name }}</span>
                        {{ md.entity_info_button(entity=service, class='small-icon ml5') }}
                    </td>
                    <td>
                        {% for port in service.spec.ports %}
                            <span>{{ port.port }}:{{ port.targetPort }}</span>
                        {% endfor %}
                    </td>
                    <td>{{ service.metadata.get('annotations', {}).get('connection', '') }}</td>
                    <td class="button-column">
                        {% if service.metadata.name != 'kubernetes' %}
                        {{ md.post_button('Delete', 'delete_outline', 'delete-button', url_for('service_delete', name=service.metadata.name)) }}
                        {% else %}
                        {{ md.table_no_button() }}
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            {% if not services %}
                <tr>
                    <td class="empty-msg">No services yet</td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            </tbody>
        </table>
    </div>

    {% if builtins_to_create %}

    <div class="content-base list-header">
        <h4>Available Services</h4>
        <p>These services can be build with just one click.</p>
    </div>

    <div class="content-base no-pad">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Ports</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for builtin in builtins_to_create %}
                <tr>
                    <td>{{ builtin.name }}</td>
                    <td>{{ builtin.service_port }}:{{ builtin.service_port }}</td>
                    <td class="button-column">
                        {{ md.post_button('Create', 'add', '', url_for('service_create_builtin', name=builtin.name)) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    {% endif %}
{% endblock %}
